Bug 546301 - Review Request: moblin-app-installer - Moblin Application Installer
Review Request: moblin-app-installer - Moblin Application Installer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal FedoraMoblin21
  Show dependency treegraph
 
Reported: 2009-12-10 11:10 EST by Peter Robinson
Modified: 2010-01-26 10:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-26 10:52:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-12-10 11:10:17 EST
SPEC: http://pbrobinson.fedorapeople.org/moblin-app-installer.spec
SRPM: http://pbrobinson.fedorapeople.org/moblin-app-installer-0.4.0-0.1.fc12.src.rpm

Description:
The Moblin Application Installer is a client application that is
launched from the myzone panel on your Moblin netbook that provides
a logically categorized list of applications that you can choose to install.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1867399
Comment 2 Christoph Wickert 2010-01-02 18:35:37 EST
OK - MUST: $ rpmlint /var/lib/mock/fedora-12-x86_64/result/moblin-app-installer-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines (GPLv2 only)
OK - MUST: License field in spec file matches the actual license (GPLv2)
OK - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
N/A - MUST: sources match the upstream source by MD5 (git version)
OK - MUST: successfully compiles and builds into binary rpms on x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: all build dependencies are listed in BuildRequires.
N/A - MUST: handles locales properly with %find_lang
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
OK - MUST: owns all directories that it creates
OK - MUST: no duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: package has a %clean section, which contains rm -rf %{buildroot}.
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissable content
N/A - MUST: Large documentation files should go in a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix, then library files that end in .so must go in a -devel package.
N/A - MUST: devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: The package contains a GUI application and includes a %{name}.desktop file, and that file is properly installed with desktop-file-install in the %install section.
OK - MUST: package does not own files or directories already owned by other packages.
OK - MUST: at the beginning of %install, the package runs rm -rf %{buildroot}.
OK - MUST: all filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: functions as described.
N/A - SHOULD: Scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Other items:
OK - latest stable version
OK - Compiler flags ok
OK - Debuginfo complete


Issues:
- Missing docs: AUTHORS NEWS README TODO

- BR gtk2-devel is redundant

- no need to patch the desktop file, you can do this with desktop-file-install --remove-key ... If you patch it, please use the upstream patch from
http://git.moblin.org/cgit.cgi/moblin-app-installer/commit/?id=bc65c884d3a1ae37e69431417888126b2a3ea021

- applist.xml contains lots of packages that are not part of Fedora. At least the closed source apps like AdobeReader or World of Go should IMO be removed. Other packages need their names fixed (like kanagram, khangman and kiten which are part of the kdeedu package).

- applist.xml should be packaged as separate package, see README
Comment 3 Peter Robinson 2010-01-02 19:52:02 EST
> Issues:
> - Missing docs: AUTHORS NEWS README TODO
> 
> - BR gtk2-devel is redundant
> 
> - no need to patch the desktop file, you can do this with desktop-file-install
> --remove-key ... If you patch it, please use the upstream patch from
> http://git.moblin.org/cgit.cgi/moblin-app-installer/commit/?id=bc65c884d3a1ae37e69431417888126b2a3ea021
> 
> - applist.xml contains lots of packages that are not part of Fedora. At least
> the closed source apps like AdobeReader or World of Go should IMO be removed.
> Other packages need their names fixed (like kanagram, khangman and kiten which
> are part of the kdeedu package).
> 
> - applist.xml should be packaged as separate package, see README  

Updated SRPM: http://pbrobinson.fedorapeople.org/moblin-app-installer-0.4.0-0.3.fc12.src.rpm

Fixed all of the above. Dropped the applist.xml file and will look at what's required to package separately or use local repos.
Comment 4 Christoph Wickert 2010-01-02 20:37:05 EST
(In reply to comment #3)

> Dropped the applist.xml file and will look at what's
> required to package separately or use local repos.  

Without the file the package is pretty useless, so please don't build it for F12 yet. Feel free to CC me when you submit a package for the applist data.

Please also remove adobe-reader.png, skype.png and world-of-goo.png from the package because I'm not sure about there licenses. chromium.png should be ok I guess, but all these should be in the applist package.
Comment 5 Peter Robinson 2010-01-06 09:47:55 EST
> > Dropped the applist.xml file and will look at what's
> > required to package separately or use local repos.  
> 
> Without the file the package is pretty useless, so please don't build it for
> F12 yet. Feel free to CC me when you submit a package for the applist data.

After chatting to some of the Moblin guys I've reviewed this and have currently included a reduced version of it. There's the possibility of having it pull in the repo data in the (hopefully) not to distant future. If that's not done before F-13 I'll review the list and add in some extra packages that work well with the Moblin interface that are in Fedora.

> Please also remove adobe-reader.png, skype.png and world-of-goo.png from the
> package because I'm not sure about there licenses. chromium.png should be ok I
> guess, but all these should be in the applist package.  

I've currently dropped the included icons all together and linked to the ones in the icon theme. Although I'm thinking of dropping the icons completely or using a generic icon like the gnome package manager does. Thoughts?

SRPM: http://pbrobinson.fedorapeople.org/moblin-app-installer-0.4.0-0.4.fc12.src.rpm
Comment 6 Christoph Wickert 2010-01-06 22:37:16 EST
I agree with you in both points:
1. Lets work with a reduced applist to get this package reviewed. We can still make a package for the applist later if necessary.
2. For the icons I think a generic icon is best because the current "trick" with the symling will not work reliable. It will only show icons of installed apps.

Best would be to link to /usr/share/icons/hicolor/48x48/apps/ (because it contains the actual application icons) and fall back to a generic icon if an icon is not found. Not sure how much work this is and I don't consider this a blocker, because the installer will also work with no icons at all.

The new applist is fine, all blockers are fixed, the package is APPROVED.
Comment 7 Christoph Wickert 2010-01-06 22:38:08 EST
One last thing: We might not even be allowed to ship the icons in question in the SRPM, so you should remove them before creating the tar file.
Comment 8 Peter Robinson 2010-01-06 22:52:06 EST
Hi Christoph, thanks for the review. I'll investigate the query about the icons in the tarball.

New Package CVS Request
=======================
Package Name: moblin-app-installer
Short Description: Moblin Application Installer
Owners: pbrobinson
Branches: F-12
InitialCC:
Comment 9 Kevin Fenzi 2010-01-08 23:30:28 EST
cvs done.
Comment 10 Peter Robinson 2010-01-10 07:27:16 EST
spot: can you clarify shipping of icons for things like skype in the source tar file. We don't ship any app icons in the binary rpm but there are some app icons in the source rpm. Is there a requirement to strip them out and regenerate the source tar ball? Application (and presumably as a result the shipped icon .pngs) is GPLv2
Comment 11 Tom "spot" Callaway 2010-01-25 10:54:17 EST
Just to be on the safe side, please remove any trademarked icons from the source tarball. It is not safe to assume that these icons are GPLv2 just because the program code is.
Comment 12 Peter Robinson 2010-01-25 16:58:53 EST
(In reply to comment #11)
> Just to be on the safe side, please remove any trademarked icons from the
> source tarball. It is not safe to assume that these icons are GPLv2 just
> because the program code is.    

OK, updated the spec file docs for tar ball creation from git to remove the dir (below), and the patch for the applist to also remove the appropriate Makefile.am build bits so we don't ship appicons (we don't use them anyway). Will now push to rawhide.

# Tarfile created using git
# git clone git://anongit.freedesktop.org/geoclue
# git archive --format=tar --prefix=%{name}-%{version}/ %{git_version} | bzip2 > ~/%{name}-%{version}-%{gitdate}.tar.bz2
# tar xf ~/%{name}-%{version}-%{gitdate}.tar.bz2
# rm -rf ~/%{name}-%{version}/data/appicons
# tar cjf ~/%{name}-%{version}-%{gitdate}.tar.bz2 %{name}-%{version}
Comment 13 Peter Robinson 2010-01-26 10:52:00 EST
Patch provided (already!) from Richard Hughes for PK 0.6. Icons stripped from source. Build for rawhide. Thanks for everyone's help.

Note You need to log in before you can comment on or make changes to this bug.